package de.ozgcloud.nachrichten.postfach.bayernid;

import de.ozgcloud.nachrichten.postfach.bayernid.Absender.AbsenderBuilder;

public class AbsenderTestFactory {
	public static final String POSTKORB_ID="28721c6f-b78f-4d5c-a048-19fd2fc429d2";
	public static final String NAME="test name";
	public static final String ANSCHRIFT="Niemalsgasse 5, 99999 Irgendwo Stadt";
	public static final String DIENST="Stadtverwaltung";
	public static final String MANDANT="Fürth";
	public static final String GEMEINDE_SCHLUESSEL="09563000";

	public static Absender create(){
		return createBuilder().build();
	}

	public static AbsenderBuilder createBuilder(){
		return Absender.builder()
				.postkorbId(POSTKORB_ID)
				.name(NAME)
				.anschrift(ANSCHRIFT)
				.dienst(DIENST)
				.mandant(MANDANT)
				.gemeindeSchluessel(GEMEINDE_SCHLUESSEL);
	}
}
