package de.ozgcloud.nachrichten.postfach;

import lombok.Builder;
import lombok.Getter;
import lombok.ToString;

@Getter
@Builder
@ToString
public class PostfachAddress {

	public static final String VERSION_FIELD = "version";
	public static final String TYPE_FIELD = "type";
	public static final String IDENTIFIER_FIELD = "identifier";
	public static final String SERVICEKONTO_TYPE_FIELD = "serviceKontoType";
	public static final String FIELD_POSTFACH_ID = "postfachId";

	private String version;
	private int type;
	private PostfachAddressIdentifier identifier;
	private String serviceKontoType;
}