package de.ozgcloud.nachrichten.postfach;

import org.springframework.stereotype.Service;

import de.ozgcloud.nachrichten.NachrichtenManagerConfiguration;
import lombok.RequiredArgsConstructor;

@Service(NachrichtenManagerConfiguration.NACHRICHTEN_ATTACHED_ITEM_SERVICE)
@RequiredArgsConstructor
public class AttachedItemService {

	private final AttachedItemRemoteService remoteService;

	public PostfachNachricht getPostfachNachricht(String id) {
		return remoteService.getPostfachNachrichtById(id);
	}
}
