package de.ozgcloud.nachrichten.postfach;

import de.ozgcloud.vorgang.vorgangAttachedItem.GrpcVorgangAttachedItem;
import de.ozgcloud.vorgang.vorgangAttachedItem.GrpcVorgangAttachedItemResponse;
import de.ozgcloud.vorgang.vorgangAttachedItem.GrpcVorgangAttachedItemResponse.Builder;

public class GrpcVorgangAttachedItemResponseTestFactory {

	public static final GrpcVorgangAttachedItem ATTACHED_ITEM = GrpcVorgangAttachedItemTestFactory.create();

	public static GrpcVorgangAttachedItemResponse create() {
		return createBuilder().build();
	}

	public static Builder createBuilder() {
		return GrpcVorgangAttachedItemResponse.newBuilder()
				.setVorgangAttachedItem(ATTACHED_ITEM);
	}
}
